Bug 4639 - perl5.005_03 compile error using defaults
Summary: perl5.005_03 compile error using defaults
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-21 11:37 UTC by bruce
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-23 17:07:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bruce 1999-08-21 11:37:50 UTC
After installing RPMS for perl from the CD and running
Configure and accepting the standard defaults.

[root@server perl5.005_03]# make
`sh  cflags libperl.a miniperlmain.o`  miniperlmain.c
	  CCCMD =  cc -DPERL_CORE -c -Dbool=char -DHAS_BOOL
-I/usr/local/include -O2
`sh  cflags libperl.a perl.o`  perl.c
	  CCCMD =  cc -DPERL_CORE -c -Dbool=char -DHAS_BOOL
-I/usr/local/include -O2
`sh  cflags libperl.a gv.o`  gv.c
	  CCCMD =  cc -DPERL_CORE -c -Dbool=char -DHAS_BOOL
-I/usr/local/include -O2
`sh  cflags libperl.a toke.o`  toke.c
	  CCCMD =  cc -DPERL_CORE -c -Dbool=char -DHAS_BOOL
-I/usr/local/include -O2
cc: Internal compiler error: program cc1 got fatal signal 7
make: *** [toke.o] Error 1

Comment 1 Jeff Johnson 1999-08-21 14:07:59 UTC
This is a compiler problem, not a perl problem. Make sure that you
are using either Red Hat 6.0 or Raw Hide egcs compiler (this is
what we use to build perl). If the problem persists, you may have
a problem with your build machine and/or options specified when
building perl. You might try rebuilding the standard perl src.rpm
from either Red Hat 6.0 or Raw Hide in order to sort out what your
problem is.

Comment 2 bruce 1999-08-21 23:25:59 UTC
OK I used gcc
sh Configure -Dcc=gcc
I now get the follwing
chmod 644 ../../lib/auto/Opcode/Opcode.bs
make[1]: Leaving directory
`/usr/src/redhat/SOURCES/perl5.005_03/ext/Opcode'

	Making POSIX (dynamic)
Processing hints file hints/linux.pl
Note (probably harmless): No library found for -lcposix
Writing Makefile for POSIX
make[1]: Entering directory
`/usr/src/redhat/SOURCES/perl5.005_03/ext/POSIX'
mkdir ../../lib/auto/POSIX
make[1]: Leaving directory
`/usr/src/redhat/SOURCES/perl5.005_03/ext/POSIX'
make[1]: Entering directory
`/usr/src/redhat/SOURCES/perl5.005_03/ext/POSIX'
cp POSIX.pod ../../lib/POSIX.pod
cp POSIX.pm ../../lib/POSIX.pm
AutoSplitting ../../lib/POSIX.pm (../../lib/auto/POSIX)
../../miniperl -I../../lib -I../../lib ../../lib/ExtUtils/xsubpp
-noprototypes -typemap ../../lib/ExtUtils/typemap -typemap typemap
POSIX.xs >xstmp.c && mv xstmp.c POSIX.c
gcc -c  -DDEBUGGING -Dbool=char -DHAS_BOOL -I/usr/local/include
-DSTRUCT_TM_HASZONE -DHINT_SC_EXIST -O2    -DVERSION=\"1.02\"
-DXS_VERSION=\"1.02\" -fpic -I../..  POSIX.c
gcc: Internal compiler error: program cc1 got fatal signal 7
make[1]: *** [POSIX.o] Error 1
make[1]: Leaving directory
`/usr/src/redhat/SOURCES/perl5.005_03/ext/POSIX'
make: *** [lib/auto/POSIX/POSIX.so] Error 2
[root@server perl5.005_03]#

Comment 3 bruce 1999-08-22 02:16:59 UTC
OK I used gcc
sh Configure -Dcc=gcc
I now get the follwing
chmod 644 ../../lib/auto/Opcode/Opcode.bs
make[1]: Leaving directory
`/usr/src/redhat/SOURCES/perl5.005_03/ext/Opcode'

	Making POSIX (dynamic)
Processing hints file hints/linux.pl
Note (probably harmless): No library found for -lcposix
Writing Makefile for POSIX
make[1]: Entering directory
`/usr/src/redhat/SOURCES/perl5.005_03/ext/POSIX'
mkdir ../../lib/auto/POSIX
make[1]: Leaving directory
`/usr/src/redhat/SOURCES/perl5.005_03/ext/POSIX'
make[1]: Entering directory
`/usr/src/redhat/SOURCES/perl5.005_03/ext/POSIX'
cp POSIX.pod ../../lib/POSIX.pod
cp POSIX.pm ../../lib/POSIX.pm
AutoSplitting ../../lib/POSIX.pm (../../lib/auto/POSIX)
../../miniperl -I../../lib -I../../lib ../../lib/ExtUtils/xsubpp
-noprototypes -typemap ../../lib/ExtUtils/typemap -typemap typemap
POSIX.xs >xstmp.c && mv xstmp.c POSIX.c
gcc -c  -DDEBUGGING -Dbool=char -DHAS_BOOL -I/usr/local/include
-DSTRUCT_TM_HASZONE -DHINT_SC_EXIST -O2    -DVERSION=\"1.02\"
-DXS_VERSION=\"1.02\" -fpic -I../..  POSIX.c
gcc: Internal compiler error: program cc1 got fatal signal 7
make[1]: *** [POSIX.o] Error 1
make[1]: Leaving directory
`/usr/src/redhat/SOURCES/perl5.005_03/ext/POSIX'
make: *** [lib/auto/POSIX/POSIX.so] Error 2
[root@server perl5.005_03]#

Comment 4 Jeff Johnson 1999-08-23 17:07:59 UTC
To rebuild exactly as we do, try
	rpm --rebuilddb perl-5.00503-5.src.rpm
BTW, cc *is* gcc on Red Hat linux, so specifying CC=gcc will
have little effect. The fact that you are getting errors in
different places means that you may have a hardware (or BIOS
configuration) problem with your memory cache.


Note You need to log in before you can comment on or make changes to this bug.